--- old/usr/src/lib/libm/common/LD/jnl.c	2014-05-04 03:05:29.863215255 +0200
+++ new/usr/src/lib/libm/common/LD/jnl.c	2014-05-04 03:05:29.892904056 +0200
@@ -58,6 +58,7 @@
  */
 
 #include "libm.h"
+#include "longdouble.h"
 #include <float.h>	/* LDBL_MAX */
 
 #define GENERIC long double
@@ -71,7 +72,7 @@
 GENERIC
 jnl(n,x) int n; GENERIC x;{
 	int i, sgn;
-	GENERIC a, b, temp, z, w;
+	GENERIC a, b, temp = 0, z, w;
 
     /* J(-n,x) = (-1)^n * J(n, x), J(n, -x) = (-1)^n * J(n, x)
      * Thus, J(-n,x) = J(n,-x)
@@ -211,14 +212,16 @@
 int n; GENERIC x;{
 	int i;
 	int sign;
-	GENERIC a, b, temp;
+	GENERIC a, b, temp = 0;
 
-	if(x!=x) return x+x;
-	if (x <= zero) 
+	if(x!=x)
+		return x+x;
+	if (x <= zero) {
 		if(x==zero) 
 			return -one/zero;
 		else 
 			return zero/zero;
+	}
 	sign = 1;
 	if(n<0){
 		n = -n;
